'use strict';

// const _ = require('lodash');
const meta = require('./.transport.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 运输
class TransportController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.order.transport;
  }

  async sign() {
    const res = await this.service.sign(this.ctx.request.body);
    this.ctx.ok(res);
  }

}

module.exports = CrudController(TransportController, meta);
