'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'car';
  const { router, controller } = app;
  router.resources('car', `${prefix}/car`, controller[index].car); // index、create、show、destroy
  router.post('car', `${prefix}/car/update/:id`, controller[index].car.update);
  // 日常维护
  router.resources('daily', `${prefix}/daily`, controller[index].daily); // index、create、show、destroy
  router.post('daily', `${prefix}/daily/update/:id`, controller[index].daily.update);
};
